Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 654872 - app-emulation/virtualbox-5.2.10 with Qt-5.11: error: invalid use of incomplete type ‘class QButtonGroup’
Summary: app-emulation/virtualbox-5.2.10 with Qt-5.11: error: invalid use of incomplet...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-05-04 20:26 UTC by Andreas Sturmlechner
Modified: 2018-07-02 09:42 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.gz (app-emulation:virtualbox-5.2.10:20180504-194727.log.gz,276.92 KB, application/gzip)
2018-05-04 20:26 UTC, Andreas Sturmlechner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-05-04 20:26:00 UTC
Created attachment 529804 [details]
build.log.gz

The usual missing header(s).
Comment 2 jospezial 2018-05-21 17:37:01 UTC
(In reply to jospezial from comment #1)
> working patch at
> https://github.com/perfect7gentleman/pg_overlay/blob/master/app-emulation/
> virtualbox/files/qt-5.11.patch

tested with virtualbox-5.2.12
Comment 3 George L. Emigh 2018-05-24 00:32:05 UTC
(In reply to jospezial from comment #1)
> working patch at
> https://github.com/perfect7gentleman/pg_overlay/blob/master/app-emulation/
> virtualbox/files/qt-5.11.patch

Also worked for me with app-emulation/virtualbox-5.2.12
Comment 4 Andreas Sturmlechner gentoo-dev 2018-06-17 20:13:25 UTC
Was that patch submitted upstream yet?
Comment 5 jospezial 2018-06-18 21:18:40 UTC
(In reply to Andreas Sturmlechner from comment #4)
> Was that patch submitted upstream yet?

I don't know. I don't see it in Virtualbox trunk yet.
Comment 6 Marco Genasci 2018-07-01 21:00:01 UTC
(In reply to Andreas Sturmlechner from comment #4)
> Was that patch submitted upstream yet?

Now seems yes https://www.virtualbox.org/changeset/72664/vbox
Comment 7 Larry the Git Cow gentoo-dev 2018-07-02 09:42:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58cca99bf78438fca556d24e7ee2b38b68f2acb2

commit 58cca99bf78438fca556d24e7ee2b38b68f2acb2
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-07-02 09:42:26 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-07-02 09:42:49 +0000

    app-emulation/virtualbox: New patchset to fix qt-5.11 build issues
    
    Closes: https://bugs.gentoo.org/654872
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 app-emulation/virtualbox/Manifest                 | 1 +
 app-emulation/virtualbox/virtualbox-5.2.12.ebuild | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)